Package com.emc.d2fs.models.massupdateinformations

# Class MassUpdateInformations

java.lang.Object
com.emc.d2fs.models.massupdateinformations.MassUpdateInformations

All Implemented Interfaces:
  `Serializable`

public class MassUpdateInformations extends Object implements Serializable

Java class for MassUpdateInformations complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MassUpdateInformations">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="updatedIds" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="updatedCount" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="nonUpdatedCount" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="nonUpdatedNames" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="partiallyUpdatedCount" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="partiallyUpdatedNames" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="warningMessage" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MassUpdateInformations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getNonUpdatedCount()`
  Gets the value of the nonUpdatedCount property.
  `String`
  `getNonUpdatedNames()`
  Gets the value of the nonUpdatedNames property.
  `Integer`
  `getPartiallyUpdatedCount()`
  Gets the value of the partiallyUpdatedCount property.
  `String`
  `getPartiallyUpdatedNames()`
  Gets the value of the partiallyUpdatedNames property.
  `Integer`
  `getUpdatedCount()`
  Gets the value of the updatedCount property.
  `List<String>`
  `getUpdatedIds()`
  Gets the value of the updatedIds property.
  `String`
  `getWarningMessage()`
  Gets the value of the warningMessage property.
  `void`
  `setNonUpdatedCount(Integer value)`
  Sets the value of the nonUpdatedCount property.
  `void`
  `setNonUpdatedNames(String value)`
  Sets the value of the nonUpdatedNames property.
  `void`
  `setPartiallyUpdatedCount(Integer value)`
  Sets the value of the partiallyUpdatedCount property.
  `void`
  `setPartiallyUpdatedNames(String value)`
  Sets the value of the partiallyUpdatedNames property.
  `void`
  `setUpdatedCount(Integer value)`
  Sets the value of the updatedCount property.
  `void`
  `setWarningMessage(String value)`
  Sets the value of the warningMessage property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MassUpdateInformations

    public MassUpdateInformations()

- ## Method Details

  - ### getUpdatedIds

    public List<String> getUpdatedIds()
    Gets the value of the updatedIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the updatedIds property.

    For example, to add a new item, do as follows:

            getUpdatedIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getUpdatedCount

    public Integer getUpdatedCount()
    Gets the value of the updatedCount property.
    Returns:
      possible object is `Integer`

  - ### setUpdatedCount

    public void setUpdatedCount(Integer value)
    Sets the value of the updatedCount property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getNonUpdatedCount

    public Integer getNonUpdatedCount()
    Gets the value of the nonUpdatedCount property.
    Returns:
      possible object is `Integer`

  - ### setNonUpdatedCount

    public void setNonUpdatedCount(Integer value)
    Sets the value of the nonUpdatedCount property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getNonUpdatedNames

    public String getNonUpdatedNames()
    Gets the value of the nonUpdatedNames property.
    Returns:
      possible object is `String`

  - ### setNonUpdatedNames

    public void setNonUpdatedNames(String value)
    Sets the value of the nonUpdatedNames property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPartiallyUpdatedCount

    public Integer getPartiallyUpdatedCount()
    Gets the value of the partiallyUpdatedCount property.
    Returns:
      possible object is `Integer`

  - ### setPartiallyUpdatedCount

    public void setPartiallyUpdatedCount(Integer value)
    Sets the value of the partiallyUpdatedCount property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getPartiallyUpdatedNames

    public String getPartiallyUpdatedNames()
    Gets the value of the partiallyUpdatedNames property.
    Returns:
      possible object is `String`

  - ### setPartiallyUpdatedNames

    public void setPartiallyUpdatedNames(String value)
    Sets the value of the partiallyUpdatedNames property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWarningMessage

    public String getWarningMessage()
    Gets the value of the warningMessage property.
    Returns:
      possible object is `String`

  - ### setWarningMessage

    public void setWarningMessage(String value)
    Sets the value of the warningMessage property.
    Parameters:
      `value` - allowed object is `String`